Skip to main content
POST
/
getSlot
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getSlot",
  "params": [
    {
      "commitment": "finalized"
    }
  ]
}
'
import requests

url = "https://mainnet.helius-rpc.com/?api-key="

payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getSlot",
"params": [{ "commitment": "finalized" }]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getSlot',
params: [{commitment: 'finalized'}]
})
};

fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": "1",
  "result": 1234
}
{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}

Request Parameters

commitment
string
The finality level to retrieve the slot for (processed = fastest, finalized = fully confirmed).
  • confirmed
  • finalized
  • processed
minContextSlot
number
Minimum Solana blockchain slot that must be reached before processing this request.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getSlot

The name of the RPC method to invoke.

Available options:
getSlot
Example:

"getSlot"

params
object[]

Optional configuration object.

Response

Successfully retrieved the current slot.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
integer

Current Solana blockchain slot number representing the network's height and progress.

Example:

1234